
import java.util.Scanner;

public class Ticketmaster {

	/**
	 * Parse a command from a String and execute it.
	 */
	public static void parseAndExecuteCommand(Theater theater, String command) {
		String[] words = command.split(" ");
		
		// make a reservation
		if (words[0].equals("reserve")) {
			Reservation r = theater.makeReservation(words[1], Integer.parseInt(words[2]));
			if (r == null) {
				System.out.println("Could not make reservation.");
			} else {
				System.out.println("Made reservation: " + r);
				System.out.println("Theater now looks like: " + theater);
			}
		}
		
		// look up a reservation by name
		else if (words[0].equals("lookup")) {
			Reservation r = theater.lookupReservation(words[1]);
			if (r == null) {
				System.out.println("No reservation found.");
			} else {
				System.out.println(r);
			}
		} 
		
		// cancel a reservation by name
		else if (words[0].equals("cancel")) {
			if (theater.cancelReservation(words[1])) {
				System.out.println("Reservation canceled.");
				System.out.println("Theater now looks like: " + theater);
			} else {
				System.out.println("No reservation found.");
			}
		}
	}

	public static void main(String args[]) {
		Scanner scanner = new Scanner(System.in);

		System.out.print("Enter theater size: ");
		int size = scanner.nextInt();

		// Make a new theater
		Theater theater = new Theater(size);

		// Read in commands until we see 'end'
		String command;
		scanner.nextLine(); // clear the enter keypress that's waiting
		System.out.print("\nEnter command: ");
		while (!(command = scanner.nextLine()).equals("end")) {
			parseAndExecuteCommand(theater, command);
			System.out.print("\nEnter command: ");
		}
	}
}
